package types

type Store string

const (
	StoreMezzanineApp     Store = "mezzanine_app"
	StoreMezzanineMiniApp Store = "mezzanine_mini_app"
	StoreTmall2bHK        Store = "tmall2b_hk"
	StoreTmall2bUS        Store = "tmall2b_us"
	StoreTmall2bEUR       Store = "tmall2b_eur"

	StorePoizon2bStore1 Store = "mezzanine1"
	StorePoizon2bStore2 Store = "mezzanine2"

	StoreJDStore2015     Store = "150558"
	StoreJDStore2017     Store = "208456"
	StoreJDStoreGongxiao Store = "208456gx"
	StoreJDStore2019     Store = "754589"
	StoreJDStore2024     Store = "13888912"

	StoreIm2b Store = "im2b"

	StoreTmall2cStore1 Store = "mezzanine"
	StoreB2bStore1     Store = "alfamoda"
	StoreB2bStore2     Store = "alfa_mp"

	StoreTbStore1 Store = "taobao_store1"
	StoreTbStore2 Store = "taobao_store2"
	StoreTbStore3 Store = "taobao_store3"
	StoreTbStore4 Store = "taobao_store4"
	StoreTbStore5 Store = "taobao_store5"
	StoreTbStore6 Store = "taobao_store6"
	StoreTbStore7 Store = "taobao_store7"
	StoreTbStore8 Store = "taobao_store8"
	StoreTbStore9 Store = "taobao_store9"

	StoreOpenStore1 Store = "open_store1"

	StoreOldPoizon1 Store = "oldpoizon1"
	StoreOldPoizon2 Store = "oldpoizon2"
)

func GetAllStores() []Store {
	return []Store{
		StoreMezzanineApp,
		StoreTmall2bHK,
		StoreTmall2bUS,
		StoreTmall2bEUR,
		StorePoizon2bStore1,
		StorePoizon2bStore2,
		StoreIm2b,
		StoreTmall2cStore1,
		StoreJDStore2015,
		StoreJDStore2017,
		StoreJDStoreGongxiao,
		StoreJDStore2019,
		StoreJDStore2024,
		StoreB2bStore1,
		StoreB2bStore2,
		StoreTbStore1,
		StoreTbStore2,
		StoreTbStore3,
		StoreTbStore4,
		StoreTbStore5,
		StoreTbStore6,
		StoreTbStore7,
		StoreTbStore8,
		StoreTbStore9,
		StoreOpenStore1,
		StoreOldPoizon1,
		StoreOldPoizon2,
	}
}

func (store Store) GetStoreName() string {
	switch store {
	case StoreMezzanineApp:
		return "迷衣App"
	case StoreMezzanineMiniApp:
		return "迷衣小程序"
	case StoreTmall2bHK:
		return "天猫ToB HK"
	case StoreTmall2bUS:
		return "天猫ToB US"
	case StoreTmall2bEUR:
		return "天猫ToB EUR"
	case StorePoizon2bStore1:
		return "得物一店"
	case StorePoizon2bStore2:
		return "得物二店"
	case StoreIm2b:
		return "ImToB"
	case StoreJDStore2015:
		return "XIYANGHUI2015"
	case StoreJDStore2017:
		return "XIYANGHUI2017"
	case StoreJDStoreGongxiao:
		return "京东供销"
	case StoreJDStore2019:
		return "XIYANGHUI2019"
	case StoreTmall2cStore1:
		return "迷衣时尚海外旗舰店"
	case StoreTbStore1:
		return "huzhijie1991"
	case StoreTbStore2:
		return "足尚潮鞋店"
	case StoreTbStore3:
		return "冰蕙儿"
	case StoreTbStore4:
		return "mezzanine"
	case StoreTbStore5:
		return "西洋汇"
	case StoreTbStore6:
		return "huangjiawei44"
	case StoreTbStore7:
		return "soulsoulsu"
	case StoreTbStore8:
		return "ys狼牙俱乐部"
	case StoreTbStore9:
		return "旧店铺"
	case StoreB2bStore1:
		return "ALFAMODA"
	case StoreB2bStore2:
		return "ALFA-MP"
	case StoreOpenStore1:
		return "开放平台"
	case StoreOldPoizon1:
		return "旧得物一店"
	case StoreOldPoizon2:
		return "旧得物二店"
	}
	return string(store)
}

//func GetPlatformStores(platform Platform) []Store {
//	switch platform {
//	case PlatformMezzanine:
//		return []Store{StoreMezzanineApp}
//	case PlatformTmall2b:
//		return []Store{StoreTmall2bHK, StoreTmall2bUS, StoreTmall2bEUR}
//	case PlatformPoizon2b:
//		return []Store{StorePoizon2bStore1, StorePoizon2bStore2}
//	case PlatformIm2b:
//		return []Store{StoreIm2b}
//	case PlatformJd:
//		return []Store{StoreJDStore2015, StoreJDStore2017, StoreJDStoreGongxiao, StoreJDStore2019, StoreJDStore2024}
//	case PlatformTmall2c:
//		return []Store{StoreTmall2cStore1}
//	case PlatformB2B:
//		return []Store{StoreB2bStore1, StoreB2bStore2}
//	case PlatformTaobao:
//		return []Store{StoreTbStore1, StoreTbStore2, StoreTbStore3, StoreTbStore4, StoreTbStore5,
//			StoreTbStore6, StoreTbStore7, StoreTbStore8, StoreTbStore9}
//	case PlatformOpen:
//		return []Store{StoreOpenStore1}
//	case PlatformOldPoizon:
//		return []Store{StoreOldPoizon1, StoreOldPoizon2}
//	}
//	return nil
//}
